
import { getUid, getUp3,getPosko } from '@/utils/network';
import { ref } from 'vue'
import { usePostsStore } from '@/stores/posts';
import { useUp3Store } from '@/stores/up3';
import { useRegionStore } from '@/stores/region';
interface Item {
  id: number;
  name: any;
}

const items = ref<Item[]>([]);
const itemsUp3 = ref<Item[]>([]);
const itemsPosko = ref<Item[]>([]);
// Fetch data from the API using Axios
const fetchData = async () => {
  try {
    const res = await getUid()
    // console.log(res.data);

    items.value = res.data.map((item: any) => (
      {
        id: item.id,
        name: item.nama,
      }
    ));
  } catch (error) {
    console.error('Error fetching data:', error);
  }
};

const fetchDataUp3 = async (uid: number) => {
  try {
    const res = await getUp3(uid)
    itemsUp3.value = res.data.map((item: any) => (
      {
        id: item.id,
        name: item.nama,
      }
    ));
  } catch (error) {
    console.error('Error fetching data:', error);
  }
};
const fetchDataPosko = async (uppp: number) => {
  try {
    const res = await getPosko(uppp)
    itemsPosko.value = res.data.map((item: any) => (
      {
        id: item.id,
        name: item.nama,
      }
    ));
  } catch (error) {
    console.error('Error fetching data:', error);
  }
};
const selectedUid = (value: any) => {
  useRegionStore().setData(value.id);
  fetchDataUp3(value.id);
}
const selectedUppp = (value: any) => {
  useUp3Store().setData(value.id);
  fetchDataPosko(value.id);
}
const selectedPosko = (value: any) => {
  usePostsStore().setData(value.id);
}



export { selectedUid, selectedUppp, selectedPosko ,fetchData , items, itemsUp3, itemsPosko};
